
-- +migrate Up notransaction

-- add clusters pending upgrade minor version status
ALTER TYPE "cluster_status" ADD VALUE IF NOT EXISTS 'PENDING_UPGRADE_MINOR_VERSION';

-- add task upgrade minor version type
ALTER TYPE "task_type" ADD VALUE IF NOT EXISTS 'UPGRADE_MINOR_VERSION';

-- +migrate Down

-- don't delete clusters pending upgrade minor version status since some clusters can have this status now

-- don't delete tasks upgrade minor version type since some task can have this type now