
-- +migrate Up

-- add `enable_autoscale` boolean flag for server_groups table, it allows server groups to be scaled automatically.
ALTER TABLE "server_groups" ADD COLUMN "enable_autoscale" BOOLEAN NOT NULL DEFAULT 'false';

-- add `autoscale_min_nodes` column for server_groups
ALTER TABLE "server_groups" ADD COLUMN "autoscale_min_nodes" INTEGER DEFAULT 0;

-- add `autoscale_max_nodes` column for server_groups
ALTER TABLE "server_groups" ADD COLUMN "autoscale_max_nodes" INTEGER DEFAULT 0;

-- +migrate Down

-- drop `enable_autoscale` flag
ALTER TABLE "server_groups" DROP COLUMN "enable_autoscale";

-- drop `autoscale_min_nodes` column
ALTER TABLE "server_groups" DROP COLUMN "autoscale_min_nodes";

-- drop `autoscale_max_nodes` column
ALTER TABLE "server_groups" DROP COLUMN "autoscale_max_nodes";
