-- +migrate Up

-- available_feature_gates table
CREATE TABLE "available_feature_gates" (
    "kube_version_minor" VARCHAR(255) PRIMARY KEY NOT NULL,
    "names" jsonb
);

-- available_feature_gates indexes
CREATE INDEX ON "available_feature_gates" ("kube_version_minor");

-- +migrate Down

-- drop available_feature_gates table
DROP TABLE "available_feature_gates";